v1.0
post
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/{studyVersion}/rnddesign/{rndDesignId}/rndlist/upload/uploadfile
Uploads randomization list as a CSV file from File Service into ORS. Rights: DesignerRandListUpload.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
rndDesignId(required): string(uuid)
ID of the randomization design.Example:
B1B8327AFAA6412287106192AB5984EF -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
C36A3197FDEE433FB5547EE83DE99E4B -
studyVersion(required): string
Version of the study.Example:
1
Supported Media Types
- application/json
Root Schema : schema
Type:
objectLogo upload request details.
Show Source
-
contentType: string
File content type.Example:
image/png -
fileName(required): string
File nameExample:
File1001 -
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test, active, or training -
name(required): string
Random name for bucket where file uploadedExample:
1A73BC4FE4954AE4AC50DDF9729F80BE
Example:
{
"name":"1A73BC4FE4954AE4AC50DDF9729F80BE",
"mode":"design",
"fileName":"study-logo.png",
"contentType":"image/png"
}Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : FileUploadResponse
Type:
objectTitle:
FileUploadResponseContains file upload response.
Show Source
-
fileId: string
Title:
File IDField ID.Example:7074779C195A4BF2B5EB0CEFB34BD47F
Examples
400 Response
Randomization list can't be generated/uploaded as there is no algorithm for the randomization design.Or you must associate the randomization design with a visit before you can create/upload a randomization list for itOr randomization list already exists
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples
404 Response
Study not found. Or randomization design not found. Or design not found
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples
500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples